ruby-net-ssh-gateway_2.0.0-1_all.deb


Advertisement

Description

ruby-net-ssh-gateway - Ruby library for tunneling connections to servers with ssh

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-net-ssh-gateway
Package version 2.0.0
Package release 1
Package architecture all
Package type deb
Installed size 35 B
Download size 8.16 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-net-ssh-gateway_2.0.0-1_all.deb 2.0.0 all Debian Main
ruby-net-ssh-gateway - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-net-ssh >= 4.0.0

Download

Type URL
Binary Package ruby-net-ssh-gateway_2.0.0-1_all.deb
Source Package ruby-net-ssh-gateway

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-net-ssh-gateway deb package:
    # sudo apt-get install ruby-net-ssh-gateway

Files

Path
/usr/lib/ruby/vendor_ruby/net/ssh/gateway.rb
/usr/lib/ruby/vendor_ruby/net/ssh/gateway/version.rb
/usr/share/doc/ruby-net-ssh-gateway/README.md
/usr/share/doc/ruby-net-ssh-gateway/changelog.Debian.gz
/usr/share/doc/ruby-net-ssh-gateway/changelog.gz
/usr/share/doc/ruby-net-ssh-gateway/copyright
/usr/share/rubygems-integration/all/specifications/net-ssh-gateway-2.0.0.gemspec

Changelog

2017-07-25 - Lucas Nussbaum <lucas@debian.org>
ruby-net-ssh-gateway (2.0.0-1) unstable; urgency=medium
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Run wrap-and-sort on packaging files
[ Lucas Nussbaum ]
* New upstream version 2.0.0
* Bump Build-depend and depend on ruby-net-ssh to 4.0.0
* Bump Standards-Version to 4.0.0. No changes needed.
* Update homepage
* Install README.md
* Refresh packaging.
* Drop patch require_mocha_setup.patch (no longer needed)
2015-05-05 - Lucas Nussbaum <lucas@debian.org>
ruby-net-ssh-gateway (1.2.0-3) unstable; urgency=medium
* Upload to unstable now that jessie is released.
* Refresh packaging.
2015-04-10 - Sebastien Badia <seb@sebian.fr>
ruby-net-ssh-gateway (1.2.0-3~exp1) experimental; urgency=medium
* Team upload.
* Target experimental and build with ruby 2.2.
* Add ruby-test-unit to Build-Depends for ruby2.2
* Bump Standards-Version to 3.9.6 (no further changes)
* Update Vcs-Browser to cgit URL and HTTPS
* Fix lintian issue (no-dep5-copyright)
2014-04-02 - Cédric Boutillier <boutil@debian.org>
ruby-net-ssh-gateway (1.2.0-2) unstable; urgency=medium
* Team upload.
* Require mocha/setup in tests instead of mocha, to correctly initialize
ruby-mocha >= 0.13 (Closes: #743083)
2013-12-08 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-net-ssh-gateway (1.2.0-1) unstable; urgency=low
* Team upload.
[ Cédric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag
* use canonical URI in Vcs-* fields
[ Jonas Genannt ]
* Imported Upstream version 1.2.0
* d/control
- removed transitional packages
- bumped standards version to 3.9.5 (no changed needed)
- changed ruby1.8 dependency to ruby
2012-06-27 - Paul van Tilburg <paulvt@debian.org>
ruby-net-ssh-gateway (1.1.0-2) unstable; urgency=low
* Team upload.
* debian/control:
- Bump build dependency on gem2deb to >= 0.3.0~.
- Bumped the standards-version to 3.9.3.
- Set the priority of the transitional packages to "extra".
2011-09-25 - Lucas Nussbaum <lucas@debian.org>
ruby-net-ssh-gateway (1.1.0-1) unstable; urgency=low
* New upstream release.
* Switch to my @d.o email address.
* Bump standards-version to 3.9.2. No changes needed.
* Switch from Conflicts to Breaks as recommended by lintian.
2011-04-26 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
ruby-net-ssh-gateway (1.0.1-4) unstable; urgency=low
* Add ruby-net-ssh to Build-Depends.
2011-04-16 - Lucas Nussbaum <lucas@lucas-nussbaum.net>
ruby-net-ssh-gateway (1.0.1-3) unstable; urgency=low
* Switch to gem2deb-based packaging, rename source and binary packages.
2010-02-25 - Marco Rodrigues <gothicx@sapo.pt>
libnet-ssh-gateway-ruby (1.0.1-2) unstable; urgency=low
* debian/control:
+ Bump Standards-Version to 3.8.4 (no changes needed).
+ Drop 1.9 package, add 1.9.1 package (Closes: #569868).

See Also

Package Description
ruby-net-ssh-krb_0.4.0-1_all.deb Kerberos support for ruby-net-ssh
ruby-net-ssh-multi_1.2.1-3_all.deb Ruby library for making multiple SSH connections to remote systems
ruby-net-ssh_5.0.2-2_all.deb Ruby implementation of the SSH protocol
ruby-net-telnet_0.1.1-2_all.deb telnet client library
ruby-netaddr_1.5.1-2_all.deb manipulating network addresses
ruby-netcdf_0.7.2-3_amd64.deb Ruby interface of netCDF library
ruby-netrc_0.11.0-1_all.deb Ruby library to read and write netrc files
ruby-nfc_3.1.1-1+b6_amd64.deb ruby wrapper for the libnfc
ruby-ngraph_6.07.06-1_amd64.deb Library for using ngraph-gtk Ruby programs
ruby-nio4r_1.2.1-1+b2_amd64.deb Ruby library providing a selector API for monitoring IO objects
ruby-nokogiri-diff_0.2.0-1_all.deb calculate the differences between two XML/HTML documents
ruby-nokogiri_1.8.4-1_amd64.deb HTML, XML, SAX, and Reader parser for Ruby
ruby-nokogumbo_1.4.2+ds-1+b5_amd64.deb Nokogiri interface to the Gumbo HTML5 parser
ruby-nori_2.6.0-1_all.deb XML to Hash translator
ruby-notiffany_0.1.1-2_all.deb Wrapper libray for most popular notification libraries
Advertisement
Advertisement